From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/cloud-init/
Date: Tue, 7 Feb 2017 23:04:29 +0000 (UTC) [thread overview]
Message-ID: <1486508612.3251ffaa0d7bd82dcb7571eacfb66748229013a3.sping@gentoo> (raw)
commit: 3251ffaa0d7bd82dcb7571eacfb66748229013a3
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 7 23:00:25 2017 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Tue Feb 7 23:03:32 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3251ffaa
app-emulation/cloud-init: Fix init script permissions
With unfixed 0.7.6_p1212 you got:
$ rc-update add cloud-init-local default
* rc-update: service `cloud-init-local' is not executeable
Package-Manager: Portage-2.3.3, Repoman-2.3.1
.../cloud-init/cloud-init-0.7.6_p1212-r1.ebuild | 80 ++++++++++++++++++++++
1 file changed, 80 insertions(+)
diff --git a/app-emulation/cloud-init/cloud-init-0.7.6_p1212-r1.ebuild b/app-emulation/cloud-init/cloud-init-0.7.6_p1212-r1.ebuild
new file mode 100644
index 00000000..12d4f69
--- /dev/null
+++ b/app-emulation/cloud-init/cloud-init-0.7.6_p1212-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+BZRTGZ=1
+
+inherit distutils-r1 eutils multilib systemd
+
+DESCRIPTION="EC2 initialisation magic"
+HOMEPAGE="https://launchpad.net/cloud-init"
+if [ "x$BZRTGZ" != x1 ]; then
+ SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.gz"
+else
+ # Launchpad does not provide consistent checksums https://bugs.launchpad.net/launchpad/+bug/1576338
+ # SRC_URI="http://bazaar.launchpad.net/~${PN}-dev/${PN}/trunk/tarball/${PV/*_p} -> ${P}.tar.gz"
+ SRC_URI="mirror://gentoo/${P}.tar.gz http://dev.gentoo.org/~robbat2/distfiles/${P}.tar.gz"
+ S="${WORKDIR}/~cloud-init-dev/cloud-init/trunk/"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+CDEPEND="
+ dev-python/cheetah[${PYTHON_USEDEP}]
+ dev-python/configobj[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ dev-python/oauth[${PYTHON_USEDEP}]
+ dev-python/prettytable[${PYTHON_USEDEP}]
+ dev-python/pyserial[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${CDEPEND}
+ >=dev-python/httpretty-0.7.1[${PYTHON_USEDEP}]
+ dev-python/mocker[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ ~dev-python/pep8-1.5.7[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ sys-apps/iproute2
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ sys-fs/growpart
+ virtual/logger
+"
+
+PATCHES=( "${FILESDIR}/cloud-init-0.7.6_p1212-gentoo.patch" )
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ emake test
+}
+
+python_install() {
+ distutils-r1_python_install "--init-system=sysvinit_openrc"
+}
+
+python_install_all() {
+ keepdir /etc/cloud
+
+ distutils-r1_python_install_all
+ chmod +x "${D}"/etc/init.d/* || die
+
+ insinto /etc/cloud/templates
+ doins "${FILESDIR}/hosts.gentoo.tmpl"
+ insinto /etc/cloud
+ doins "${FILESDIR}/cloud.cfg"
+}
next reply other threads:[~2017-02-07 23:05 UTC|newest]
Thread overview: 85+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-07 23:04 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-02 9:28 [gentoo-commits] repo/gentoo:master commit in: app-emulation/cloud-init/ Arthur Zamarin
2025-04-02 9:28 Arthur Zamarin
2025-04-02 9:28 Arthur Zamarin
2025-04-02 6:05 Sam James
2025-03-31 22:37 Sam James
2025-03-31 17:07 Sam James
2025-03-31 17:07 Sam James
2025-03-31 16:37 Sam James
2025-03-31 16:37 Sam James
2025-03-31 16:37 Sam James
2025-03-31 16:37 Sam James
2025-03-31 16:37 Sam James
2024-12-15 14:11 Andreas K. Hüttel
2024-12-15 13:54 Andreas K. Hüttel
2024-12-14 21:49 Andreas K. Hüttel
2024-10-27 6:50 Arthur Zamarin
2024-10-25 22:09 Sam James
2024-10-25 22:09 Sam James
2024-10-25 22:09 Sam James
2024-09-25 13:07 WANG Xuerui
2024-09-25 13:07 WANG Xuerui
2024-07-15 4:35 Sam James
2024-07-15 4:23 Sam James
2024-07-15 4:23 Sam James
2024-07-15 4:23 Sam James
2024-07-15 4:22 Sam James
2024-06-05 7:24 Eray Aslan
2024-04-13 15:34 Matthew Thode
2024-01-20 13:33 Sam James
2023-12-12 19:47 Matthew Thode
2023-02-13 15:39 Matthew Thode
2023-02-06 22:52 Matthew Thode
2023-02-06 22:52 Matthew Thode
2023-01-10 14:37 Michał Górny
2022-12-23 20:11 Kenton Groombridge
2022-07-01 2:11 Matthew Thode
2022-07-01 2:11 Matthew Thode
2022-06-11 5:19 Sam James
2022-06-10 2:45 Sam James
2022-06-07 9:38 Jakov Smolić
2022-06-07 8:38 Jakov Smolić
2022-06-07 1:15 Sam James
2022-06-07 1:15 Sam James
2022-05-20 1:46 Matthew Thode
2022-05-20 1:44 Matthew Thode
2022-04-14 16:18 Matthew Thode
2022-04-12 1:14 Sam James
2022-04-12 1:13 Sam James
2022-04-12 1:13 Sam James
2022-04-10 16:29 Sam James
2022-04-10 16:26 Sam James
2021-11-12 1:43 Sam James
2021-07-05 13:42 Michał Górny
2021-07-05 13:36 Michał Górny
2021-06-13 23:27 Matthew Thode
2020-10-02 20:51 Matthew Thode
2020-08-19 19:34 Sam James
2020-08-17 13:50 Agostino Sarubbo
2020-08-17 10:01 Agostino Sarubbo
2020-02-25 15:02 Agostino Sarubbo
2020-02-25 14:57 Agostino Sarubbo
2020-02-05 14:24 Michał Górny
2018-10-25 16:35 Gilles Dartiguelongue
2018-10-24 13:19 Gilles Dartiguelongue
2018-06-28 19:51 Matt Thode
2018-06-28 19:18 Pacho Ramos
2018-03-17 6:45 Matt Turner
2018-02-13 19:28 Matt Thode
2017-12-03 0:54 Matt Thode
2017-10-24 18:31 Matt Thode
2017-10-24 15:28 Matt Thode
2017-09-06 21:26 Michał Górny
2017-01-17 18:34 Matt Thode
2016-12-23 21:50 Matt Thode
2016-12-23 21:12 Matt Thode
2016-10-07 16:12 Matt Thode
2016-10-06 16:28 Matt Thode
2016-10-06 16:22 Matt Thode
2016-08-21 23:35 Matt Thode
2016-08-20 16:44 Matt Thode
2016-04-28 17:33 Robin H. Johnson
2016-04-25 23:17 Robin H. Johnson
2015-12-25 16:47 Agostino Sarubbo
2015-12-21 12:40 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1486508612.3251ffaa0d7bd82dcb7571eacfb66748229013a3.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox